#ifndef POS_PRINTER_H
#define POS_PRINTER_H

#include <memory>

#include <libusb-1.0/libusb.h>

struct SupportedPrinters {
    std::array<std::pair<int, int>, 2> models{
        // {Vendor ID, Model ID}
        std::make_pair(0x0456, 0x0808),
        std::make_pair(0x0416, 0x5011),
    };
};

class PosPrinter
{
  public:
    PosPrinter();
    ~PosPrinter();

  private:
    libusb_context* contextPtr_{};
    libusb_device_handle* devicePtr_{};
    SupportedPrinters supportedPrinters_;
};

#endif